Show / Hide Table of Contents

# Class BaseResolver

##### Inheritance

System.Object
BaseResolver
ClassJob
World

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Resolvers

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class BaseResolver

### Constructors

| Improve this Doc View Source

#### BaseResolver(Dalamud)

##### Declaration

    public BaseResolver(Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |

### Fields

| Improve this Doc View Source

#### dalamud

##### Declaration

    protected Dalamud dalamud

##### Field Value

Type | Description
--- | ---
Dalamud.Dalamud |